{
	"name": "@microexcel-csd/nativescript-create-pdf",
	"version": "1.1.1",
	"description": "A NativeScript plugin to create and write a PDF file to the users device. Android and iOS.",
	"main": "create-pdf",
	"typings": "index.d.ts",
	"nativescript": {
		"platforms": {
			"android": "6.0.0",
			"ios": "6.0.1"
		}
	},
	"repository": {
		"type": "git",
		"url": "https://gitlab.com/knowlysis/external/nativescript-create-pdf.git"
	},
	"scripts": {
		"tsc": "npm i && tsc",
		"build": "npm run tsc && npm run build.native",
		"build.native": "node scripts/build-native.js",
		"tslint": "cd .. && tslint \"**/*.ts\" --config tslint.json --exclude \"**/node_modules/**\"",
		"ci.tslint": "npm i && tslint '**/*.ts' --config '../tslint.json' --exclude '**/node_modules/**' --exclude '**/platforms/**'",
		"prepack": "npm run build.native",
		"demo.ios": "npm run tsc && cd ../demo && tns run ios --emulator",
		"demo.android": "npm run tsc && cd ../demo && tns run android --emulator",
		"demo.reset": "cd ../demo && npx rimraf -- hooks node_modules platforms package-lock.json",
		"demo-angular.ios": "npm run tsc && cd ../demo-angular && tns run ios --emulator",
		"demo-angular.android": "npm run tsc && cd ../demo-angular && tns run android --emulator",
		"demo-angular.reset": "cd ../demo-angular && npx rimraf -- hooks node_modules platforms package-lock.json",
		"plugin.prepare": "npm run build && cd ../demo && tns plugin remove nativescript-create-pdf && tns plugin add ../src && cd ../demo-angular && tns plugin remove nativescript-create-pdf && tns plugin add ../src",
		"clean": "npm run demo.reset && npm run demo-angular.reset && npx rimraf -- node_modules package-lock.json && npm i"
	},
	"keywords": [
		"NativeScript",
		"JavaScript",
		"Android",
		"iOS"
	],
	"author": {
		"name": "Microexcel-CSD",
		"email": "austin.bagley@microexcel.com"
	},
	"bugs": {
		"url": "https://gitlab.com/knowlysis/external/nativescript-create-pdf"
	},
	"license": "ISC",
	"homepage": "https://gitlab.com/knowlysis/external/nativescript-create-pdf",
	"devDependencies": {
		"tns-core-modules": "^6.0.0",
		"tns-platform-declarations": "^6.0.0",
		"typescript": "~3.4.5",
		"prompt": "^1.0.0",
		"rimraf": "^2.6.3",
		"tslint": "^5.12.1",
		"semver": "^5.6.0"
	},
	"dependencies": {
		"@types/jspdf": "^1.3.1",
		"base-64": "^0.1.0",
		"html2pdf": "0.0.11",
		"jspdf": "1.3.5"
	},
	"bootstrapper": "nativescript-plugin-seed",
	"bundledDependencies": [
		"@types/jspdf",
		"base-64",
		"html2pdf",
		"jspdf"
	]
}
